data:extend(
{
  {
    type = "fluid",
    name = "oxygen",
    default_temperature = 1,
    max_temperature = 10,
    heat_capacity = "1KJ",
    base_color = {r=1, g=1, b=1},
    flow_color = {r=1, g=1, b=1},
    icon = "__hardcorio__/graphics/icons/items/oxygen-f.png",
    icon_size = 32,
    order = "oxygen",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "pure-water",
    default_temperature = 1,
    max_temperature = 10,
    heat_capacity = "1KJ",
    base_color = {r=0, g=0, b=1,a=0.4},
    flow_color = {r=0, g=0, b=1,a=0.4},
    icon = "__hardcorio__/graphics/icons/items/pure-water.png",
    icon_size = 32,
    order = "pure-water",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "biomass-food",
    default_temperature = 1,
    max_temperature = 10,
    heat_capacity = "1KJ",
    base_color = {r=0.7, g=0.5, b=0.5,a=0.4},
    flow_color = {r=0.7, g=0.5, b=0.5,a=0.4},
    icon = "__hardcorio__/graphics/icons/items/biomass-food.png",
    icon_size = 32,
    order = "q-biomass-food",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  },
  {
    type = "fluid",
    name = "hydrogen",
    default_temperature = 1,
    max_temperature = 10,
    heat_capacity = "1KJ",
    base_color = {r=0, g=0.5, b=0.5},
    flow_color = {r=0, g=0.5, b=0.5},
    icon = "__hardcorio__/graphics/icons/items/hydrogen-f.png",
    icon_size = 32,
    order = "hydrogen",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  }
}
)