data:extend(
{
{
    type = "technology",
    name = "556x45-basic",
    icon = "__hardcorio__/graphics/technology/556x45-basic.png",
	icon_size = 64,
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-gun-turret-556x45"
    },
	{
        type = "unlock-recipe",
        recipe = "recipe-m60"
	},
	{
        type = "unlock-recipe",
        recipe = "recipe-minigun"
	},
    },
	prerequisites = {"automation-2", "steel-processing", "radar"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 5
    },
    order = "a-a-a-a"
},

{
    type = "technology",
    name = "556x45-ammo-1",
    localised_name = {"technology-name.556x45-ammo-1"},
    icon = "__hardcorio__/graphics/technology/556x45-ammo.png",
	icon_size = 64,
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-556x45ep"
    },
    },
	prerequisites = {"556x45-basic", "compressing", "electrolize"},
    unit =
    {
      count = 30,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-a-b-a"
},

{
    type = "technology",
    name = "556x45-ammo-2",
    localised_name = {"technology-name.556x45-ammo-2"},
    icon = "__hardcorio__/graphics/technology/556x45-ammo.png",
	icon_size = 64,
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-556x45ap"
    }
    },
	prerequisites = {"556x45-ammo-1", "chemistry"},
    unit =
    {
      count = 20,
      ingredients =
      {
        {"science-pack-1", 2},
		{"science-pack-2", 1},
      },
      time = 20
    },
	upgrade = "true",
    order = "a-a-a-b-b"
},
{
    type = "technology",
    name = "556x45-ammo-3",
    localised_name = {"technology-name.556x45-ammo-3"},
    icon = "__hardcorio__/graphics/technology/556x45-ammo.png",
	icon_size = 64,
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-556x45tr"
    },
    },
	prerequisites = {"556x45-ammo-2", "advanced-chemistry"},
    unit =
    {
      count = 40,
      ingredients =
      {
        {"science-pack-1", 3},
		{"science-pack-2", 2},
		{"science-pack-3", 1},
      },
      time = 40
    },
	upgrade = "true",
    order = "a-a-a-b-c"
},
{
    type = "technology",
    name = "556x45-ammo-4",
    localised_name = {"technology-name.556x45-ammo-4"},
    icon = "__hardcorio__/graphics/technology/556x45-ammo.png",
	icon_size = 64,
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-556x45du"
    },
    },
	prerequisites = {"556x45-ammo-3", "high-tech-chemistry"},
    unit =
    {
      count = 80,
      ingredients =
      {
        {"science-pack-1", 4},
		{"science-pack-2", 3},
		{"science-pack-3", 2},
		{"high-tech-science-pack", 1},
      },
      time = 40
    },
	upgrade = "true",
    order = "a-a-a-b-d"
},

}
)
